Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoVRMLCoordinate Class Reference
[VRML97 classes]

The SoVRMLCoordinate class is used to define 3D coordinates for shapes. More...

`#include <Inventor/VRMLnodes/SoVRMLCoordinate.h>`

Inheritance diagram for SoVRMLCoordinate:

List of all members.

## Public Methods
| SoVRMLCoordinate (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | pick (SoPickAction *action)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoMFVec3f | point
## Protected Methods
virtual | ~SoVRMLCoordinate ()

## Detailed Description

The SoVRMLCoordinate class is used to define 3D coordinates for shapes.

The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

      Coordinate {
        exposedField MFVec3f point  []      # (-inf, inf)
      }

This node defines a set of 3D coordinates to be used in the coord field of vertex-based geometry nodes including SoVRMLIndexedFaceSet, SoVRMLIndexedLineSet, and SoVRMLPointSet.

## Constructor & Destructor Documentation

SoVRMLCoordinate::SoVRMLCoordinate | ( | void |  | ) |

| Constructor.

SoVRMLCoordinate::~SoVRMLCoordinate | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLCoordinate::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoVRMLCoordinate::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoVRMLCoordinate::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoVRMLCoordinate::getBoundingBox | ( | SoGetBoundingBoxAction * | action | ) | `[virtual]`

| Action method for the SoGetBoundingBoxAction. Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node. Nodes influencing how geometry nodes calculates their bounding box also overrides this method to change the relevant state variables. Reimplemented from SoNode.

void SoVRMLCoordinate::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

void SoVRMLCoordinate::pick | ( | SoPickAction * | action | ) | `[virtual]`

| Action method for SoPickAction. Does common processing for SoPickAction action instances. Reimplemented from SoNode.

## Member Data Documentation

SoMFVec3f SoVRMLCoordinate::point

| The coordinates. Empty by default.

The documentation for this class was generated from the following files:

- SoVRMLCoordinate.h
- Coordinate.cpp